{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/fill_gradient"
                },
                {
                    "type": "File",
                    "id": "#main/highlight_gradient"
                },
                {
                    "type": "File",
                    "id": "#main/outline"
                }
            ],
            "steps": [
                {
                    "run": "#border_emblem.cwl",
                    "in": [
                        {
                            "source": "#main/outline",
                            "id": "#main/border/outline"
                        }
                    ],
                    "out": [
                        "#main/border/border_emblem"
                    ],
                    "id": "#main/border"
                },
                {
                    "run": "#texture_default.cwl",
                    "in": [
                        {
                            "valueFrom": "$(inputs.outline.nameroot)",
                            "id": "#main/default/file_name"
                        },
                        {
                            "source": "#main/highlight/highlight_emblem",
                            "id": "#main/default/highlight"
                        },
                        {
                            "source": "#main/outline",
                            "id": "#main/default/outline"
                        }
                    ],
                    "out": [
                        "#main/default/texture"
                    ],
                    "id": "#main/default"
                },
                {
                    "run": "#gradient_emblem.cwl",
                    "in": [
                        {
                            "source": "#main/fill_gradient",
                            "id": "#main/gradient/fill_gradient"
                        },
                        {
                            "source": "#main/outline",
                            "id": "#main/gradient/outline"
                        }
                    ],
                    "out": [
                        "#main/gradient/gradient_emblem"
                    ],
                    "id": "#main/gradient"
                },
                {
                    "run": "#highlight_emblem.cwl",
                    "in": [
                        {
                            "source": "#main/gradient/gradient_emblem",
                            "id": "#main/highlight/gradient_emblem"
                        },
                        {
                            "source": "#main/highlight_mask/highlight_mask",
                            "id": "#main/highlight/gradient_mask"
                        }
                    ],
                    "out": [
                        "#main/highlight/highlight_emblem"
                    ],
                    "id": "#main/highlight"
                },
                {
                    "run": "#highlight_mask.cwl",
                    "in": [
                        {
                            "source": "#main/highlight_gradient",
                            "id": "#main/highlight_mask/gradient_mask"
                        },
                        {
                            "source": "#main/outline",
                            "id": "#main/highlight_mask/outline"
                        }
                    ],
                    "out": [
                        "#main/highlight_mask/highlight_mask"
                    ],
                    "id": "#main/highlight_mask"
                },
                {
                    "run": "#texture_map.cwl",
                    "in": [
                        {
                            "valueFrom": "$(inputs.outline.nameroot)",
                            "id": "#main/map/file_name"
                        },
                        {
                            "source": "#main/outline",
                            "id": "#main/map/outline"
                        }
                    ],
                    "out": [
                        "#main/map/texture"
                    ],
                    "id": "#main/map"
                },
                {
                    "run": "#texture_small.cwl",
                    "in": [
                        {
                            "source": "#main/border/border_emblem",
                            "id": "#main/small/border"
                        },
                        {
                            "valueFrom": "$(inputs.outline.nameroot)",
                            "id": "#main/small/file_name"
                        },
                        {
                            "source": "#main/highlight/highlight_emblem",
                            "id": "#main/small/highlight"
                        },
                        {
                            "source": "#main/outline",
                            "id": "#main/small/outline"
                        }
                    ],
                    "out": [
                        "#main/small/texture"
                    ],
                    "id": "#main/small"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/default/texture",
                    "id": "#main/texture_default"
                },
                {
                    "type": "File",
                    "outputSource": "#main/map/texture",
                    "id": "#main/texture_map"
                },
                {
                    "type": "File",
                    "outputSource": "#main/small/texture",
                    "id": "#main/texture_small"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "sh",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "undu/imagemagick"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/undu/stellaris-emblem-lab/3a842d7ae8c964c9e972b412c80d779dbcee618a/textures/tools/border_emblem.sh"
                    },
                    "id": "#border_emblem.cwl/command"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#border_emblem.cwl/outline"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "border_emblem.png"
                    },
                    "id": "#border_emblem.cwl/border_emblem"
                }
            ],
            "id": "#border_emblem.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "sh",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "undu/imagemagick"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/undu/stellaris-emblem-lab/3a842d7ae8c964c9e972b412c80d779dbcee618a/textures/tools/gradient_emblem.sh"
                    },
                    "id": "#gradient_emblem.cwl/command"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#gradient_emblem.cwl/fill_gradient"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#gradient_emblem.cwl/outline"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "gradient_emblem.png"
                    },
                    "id": "#gradient_emblem.cwl/gradient_emblem"
                }
            ],
            "id": "#gradient_emblem.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "sh",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "undu/imagemagick"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/undu/stellaris-emblem-lab/3a842d7ae8c964c9e972b412c80d779dbcee618a/textures/tools/highlight_emblem.sh"
                    },
                    "id": "#highlight_emblem.cwl/command"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#highlight_emblem.cwl/gradient_emblem"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#highlight_emblem.cwl/gradient_mask"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "highlight_emblem.png"
                    },
                    "id": "#highlight_emblem.cwl/highlight_emblem"
                }
            ],
            "id": "#highlight_emblem.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "sh",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "undu/imagemagick"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/undu/stellaris-emblem-lab/3a842d7ae8c964c9e972b412c80d779dbcee618a/textures/tools/highlight_mask.sh"
                    },
                    "id": "#highlight_mask.cwl/command"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#highlight_mask.cwl/gradient_mask"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#highlight_mask.cwl/outline"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "highlight_mask.png"
                    },
                    "id": "#highlight_mask.cwl/highlight_mask"
                }
            ],
            "id": "#highlight_mask.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "sh",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "undu/imagemagick"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/undu/stellaris-emblem-lab/3a842d7ae8c964c9e972b412c80d779dbcee618a/textures/tools/texture_default.sh"
                    },
                    "id": "#texture_default.cwl/command"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#texture_default.cwl/file_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#texture_default.cwl/highlight"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.file_name).dds"
                    },
                    "id": "#texture_default.cwl/texture"
                }
            ],
            "id": "#texture_default.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "sh",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "undu/imagemagick"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/undu/stellaris-emblem-lab/3a842d7ae8c964c9e972b412c80d779dbcee618a/textures/tools/texture_map.sh"
                    },
                    "id": "#texture_map.cwl/command"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#texture_map.cwl/file_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#texture_map.cwl/outline"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.file_name).dds"
                    },
                    "id": "#texture_map.cwl/texture"
                }
            ],
            "id": "#texture_map.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "sh",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "undu/imagemagick"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#texture_small.cwl/border"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/undu/stellaris-emblem-lab/3a842d7ae8c964c9e972b412c80d779dbcee618a/textures/tools/texture_small.sh"
                    },
                    "id": "#texture_small.cwl/command"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#texture_small.cwl/file_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#texture_small.cwl/highlight"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.file_name).dds"
                    },
                    "id": "#texture_small.cwl/texture"
                }
            ],
            "id": "#texture_small.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
